BDU:2022-05795: Уязвимость функции cfg_tilde_expand() библиотеки парсера файлов конфигурации libConfuse, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции cfg_tilde_expand() библиотеки парсера файлов конфигурации libConfuse связана с чтением за границами буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании с помощью специально созданного файла
Вендор Fedora Project, ООО «Ред Софт», ФССП России, Сообщество свободного программного обеспечения
Наименование ПО Fedora, РЕД ОС (запись в едином реестре российских программ №3751), ОС ТД АИС ФССП России, libConfuse
Версия ПО
  • 35 (Fedora)
  • 7.3 (РЕД ОС)
  • ИК6 (ОС ТД АИС ФССП России)
  • 36 (Fedora)
  • 37 (Fedora)
  • до 3.3 включительно (libConfuse)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Переполнение буфера в куче, Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 02.09.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 1,8)
Низкий уровень опасности (базовая оценка CVSS 3.0 составляет 3,1)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения